net.sf.cglib.beans

## Class ImmutableBean.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.beans.ImmutableBean.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    ImmutableBean

      public static class ImmutableBean.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableBean.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `create()`
    `void` | `generateClass(ClassVisitor v)`
    `void` | `setBean(java.lang.Object bean)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableBean.Generator

          public ImmutableBean.Generator()

  - ### Method Detail

    - #### setBean

          public void setBean(java.lang.Object bean)

    - #### create

          public java.lang.Object create()

    - #### generateClass

          public void generateClass(ClassVisitor v)

Copyright (c) 2001 - Apache Software Foundation